## bolt-lmm 2.3.2+dfsg

=== debian/changelog ===
bolt-lmm (2.3.2+dfsg-3) unstable; urgency=medium

  * According to upstream, restrict arch to amd64 only. (Closes: #909858)
  * Standards-Version: 4.2.1.

 -- Dylan Aïssi <daissi@debian.org>  Fri, 16 Nov 2018 07:55:14 +0100

bolt-lmm (2.3.2+dfsg-2) unstable; urgency=medium

  * Add libnlopt-cxx-dev to Build-Depends to fix FTBFS.
  * Install example files in the correct folder.

 -- Dylan Aïssi <bob.dybian@gmail.com>  Thu, 07 Jun 2018 07:50:09 +0200

bolt-lmm (2.3.2+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #899400)

 -- Dylan Aïssi <bob.dybian@gmail.com>  Fri, 25 May 2018 21:30:38 +0200
