## bolt-lmm 2.3.4+dfsg

=== src/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 BOOST_INSTALL_DIR = /home/pl88/boost_1_58_0/install
 NLOPT_INSTALL_DIR = /n/groups/price/poru/HSPH_SVN/src/BOLT-LMM/nlopt-2.4.2
 
-INTELROOT = /n/groups/price/poru/external_software/intel_mkl_2018
+INTELROOT = /n/groups/price/poru/external_software/intel_mkl_2019u4
 MKLROOT = ${INTELROOT}/mkl
 ZLIB_STATIC_DIR = /n/groups/price/poru/external_software/zlib/zlib-1.2.11 # probably unnecessary on most systems
 LIBSTDCXX_STATIC_DIR = /n/groups/price/poru/external_software/libstdc++/usr/lib/gcc/x86_64-redhat-linux/4.8.5/
@@ -54,9 +54,13 @@
 # add MKL paths (if not compiling with g++, i.e., compiling with icpc)
 ifneq (${CC},g++)
 	CPATHS += -I${MKLROOT}/include
-	ifeq (${linking},dynamic)
+	ifeq (${linking},static)
+		LPATHS += -L${INTELROOT}/lib/intel64 '-Wl,-rpath,$$ORIGIN/lib' # for libiomp5.so (now packaged with binary)
+	else ifeq (${linking},static-except-glibc)
+		LPATHS += -L${INTELROOT}/lib/intel64 '-Wl,-rpath,$$ORIGIN/lib' # for libiomp5.so (now packaged with binary)
+	else
 		LPATHS += -L${MKLROOT}/lib/intel64 -Wl,-rpath,${MKLROOT}/lib/intel64 # for libmkl*
-		LPATHS += -Wl,-rpath,${INTELROOT}/lib/intel64 # for libiomp5.so
+		LPATHS += -L${INTELROOT}/lib/intel64 -Wl,-rpath,${INTELROOT}/lib/intel64 # for libiomp5.so
 	endif
 endif
 
@@ -77,16 +81,22 @@
 	CFLAGS += -qopenmp
 	LFLAGS += -qopenmp
 	CFLAGS += -Wunused-variable -Wpointer-arith -Wuninitialized -Wreturn-type -Wcheck -Wshadow
+	LIOMP5 = -liomp5
+	LDL = -ldl
 	ifeq (${linking},static)
 		LFLAGS += -static
 		LPATHS += -L${GLIBC_STATIC_DIR} -L${ZLIB_STATIC_DIR}
-		LLAPACK = -Wl,--start-group ${MKLROOT}/lib/intel64/libmkl_intel_lp64.a ${MKLROOT}/lib/intel64/libmkl_core.a ${MKLROOT}/lib/intel64/libmkl_intel_thread.a -Wl,--end-group
+		LLAPACK = -Wl,--start-group ${MKLROOT}/lib/intel64/libmkl_intel_lp64.a ${MKLROOT}/lib/intel64/libmkl_intel_thread.a ${MKLROOT}/lib/intel64/libmkl_core.a -Wl,--end-group
 	else ifeq (${linking},static-except-glibc)
 		LFLAGS += -static-intel -static-libstdc++ -static-libgcc
 		LPATHS += -L${ZLIB_STATIC_DIR}
-		LLAPACK = -Wl,--start-group ${MKLROOT}/lib/intel64/libmkl_intel_lp64.a ${MKLROOT}/lib/intel64/libmkl_core.a ${MKLROOT}/lib/intel64/libmkl_intel_thread.a -Wl,--end-group
+		LLAPACK = -Wl,--start-group ${MKLROOT}/lib/intel64/libmkl_intel_lp64.a ${MKLROOT}/lib/intel64/libmkl_intel_thread.a ${MKLROOT}/lib/intel64/libmkl_core.a -Wl,--end-group
+	else ifeq (${linking},static-except-glibc-intel)
+		LFLAGS += -static-libstdc++ -static-libgcc
+		LPATHS += -L${ZLIB_STATIC_DIR}
+		LLAPACK = -lmkl_intel_lp64 -lmkl_intel_thread -lmkl_core
 	else
-		LLAPACK = -lmkl_intel_lp64 -lmkl_core -lmkl_intel_thread
+		LLAPACK = -lmkl_intel_lp64 -lmkl_intel_thread -lmkl_core
 	endif
 # Note: If MKL LAPACK routines are called with arrays of size >= 2^31,
 #       interface layer ILP64 (64-bit integer) is required.
@@ -97,9 +107,11 @@
 # build link line (minus flags)
 LLIBS = -lboost_program_options -lboost_iostreams -lz -lnlopt
 ifeq (${linking},static-except-glibc)
-	L = -L${LIBSTDCXX_STATIC_DIR} ${LPATHS} -Wl,--wrap=memcpy -Wl,-Bstatic ${LLIBS} ${LLAPACK} -Wl,-Bdynamic -lpthread -lm
+	L = -L${LIBSTDCXX_STATIC_DIR} ${LPATHS} -Wl,--wrap=memcpy -Wl,-Bstatic ${LLIBS} ${LLAPACK} -Wl,-Bdynamic ${LIOMP5} -lpthread -lm ${LDL}
+else ifeq (${linking},static-except-glibc-intel)
+	L = -L${LIBSTDCXX_STATIC_DIR} ${LPATHS} -Wl,--wrap=memcpy -Wl,-Bstatic ${LLIBS} -Wl,-Bdynamic ${LLAPACK} ${LIOMP5} -lpthread -lm ${LDL}
 else
-	L = ${LPATHS} ${LLIBS} ${LLAPACK} -lpthread -lm
+	L = ${LPATHS} ${LLIBS} ${LLAPACK} ${LIOMP5} -lpthread -lm ${LDL}
 endif
