=== debian/changelog ===
bolt-lmm (2.3.4+dfsg-2build1) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 19:59:15 +0000

bolt-lmm (2.3.4+dfsg-2) unstable; urgency=medium

  [ Frédéric Bonnard ]
  * Add support for i386 and ppc64el. (Closes: #942324)

  [ Dylan Aïssi ]
  * Standards-Version: 4.4.1.

 -- Dylan Aïssi <daissi@debian.org>  Wed, 18 Dec 2019 22:54:23 +0100

bolt-lmm (2.3.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update d/copyright.
  * Standards-Version: 4.4.0.
  * Bump debhelper compat 12.

 -- Dylan Aïssi <daissi@debian.org>  Thu, 26 Sep 2019 21:35:27 +0200
