=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: bolt-lmm
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Dylan Aïssi <daissi@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 12~),
                gfortran,
                libboost-dev,
                libboost-iostreams-dev,
@@ -12,13 +13,13 @@
                libnlopt-cxx-dev,
                libopenblas-dev,
                zlib1g-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/med-team/bolt-lmm
 Vcs-Git: https://salsa.debian.org/med-team/bolt-lmm.git
 Homepage: https://data.broadinstitute.org/alkesgroup/BOLT-LMM/
 
 Package: bolt-lmm
-Architecture: amd64
+Architecture: amd64 i386 ppc64el
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Suggests: bolt-lmm-doc
