=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,10 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+ifneq (,$(filter $(DEB_HOST_ARCH), ppc64el))
+export DEB_CFLAGS_MAINT_APPEND = -DNO_WARN_X86_INTRINSICS
+endif
 
 %:
 	dh $@ --sourcedirectory=src
