=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://data.broadinstitute.org/alkesgroup/BOLT-LMM/downloads/ BOLT-LMM_v@ANY_VERSION@@ARCHIVE_EXT@
