## bolt-lmm 2.3.6%2Bdfsg

=== debian/changelog ===
bolt-lmm (2.3.6+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Fri, 19 Nov 2021 16:44:39 +0100

bolt-lmm (2.3.5+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Dominik George ]
  * Scan and mangle S3 bucket list in d/watch.

  [ Andreas Tille ]
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 10 Oct 2021 08:39:22 +0200

bolt-lmm (2.3.5+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Dylan Aïssi <daissi@debian.org>  Sat, 21 Aug 2021 09:34:36 +0200

bolt-lmm (2.3.4+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Enable architecture all builds on arm64
    Closes: #976527
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Andreas Tille <tille@debian.org>  Tue, 22 Dec 2020 15:48:38 +0100
