## bolt-lmm 2.3.6+dfsg

=== debian/changelog ===
bolt-lmm (2.3.6+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Packaging update
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 28 Jul 2022 16:48:04 +0200
