## bolt-lmm 2.4.0+dfsg

=== debian/changelog ===
bolt-lmm (2.4.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 11 Oct 2022 21:26:11 +0200
