=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: bolt-lmm
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Dylan Aïssi <daissi@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 13),
                gfortran,
                libboost-dev,
                libboost-iostreams-dev,
@@ -13,10 +12,11 @@
                libnlopt-cxx-dev,
                libopenblas-dev,
                zlib1g-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/bolt-lmm
 Vcs-Git: https://salsa.debian.org/med-team/bolt-lmm.git
 Homepage: https://data.broadinstitute.org/alkesgroup/BOLT-LMM/
+Rules-Requires-Root: no
 
 Package: bolt-lmm
 Architecture: amd64 i386 ppc64el
