## bolt-lmm 2.4.1%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,9 @@
                libnlopt-dev,
                libnlopt-cxx-dev,
                libopenblas-dev,
+               libzstd-dev,
                zlib1g-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/bolt-lmm
 Vcs-Git: https://salsa.debian.org/med-team/bolt-lmm.git
 Homepage: https://data.broadinstitute.org/alkesgroup/BOLT-LMM/
