## bolt-lmm 2.4.1+dfsg

=== src/Makefile ===
--- 
+++ 
@@ -7,6 +7,8 @@
 ZLIB_STATIC_DIR = /n/groups/price/poru/external_software/zlib/zlib-1.2.11 # probably unnecessary on most systems
 LIBSTDCXX_STATIC_DIR = /n/groups/price/poru/external_software/libstdc++/usr/lib/gcc/x86_64-redhat-linux/4.8.5/
 GLIBC_STATIC_DIR = /home/pl88/glibc-static/usr/lib64
+
+ZSTD_DIR = /n/data1/bwh/medicine/loh/ploh/external_software/zstd-1.5.2/lib
 
 ifeq ($(strip ${linking}),)
 	linking = dynamic
@@ -50,6 +52,10 @@
 		LPATHS += -L${ZLIB_STATIC_DIR}
 	endif
 endif
+
+# add libzstd path
+CPATHS += -I${ZSTD_DIR}
+LPATHS += -L${ZSTD_DIR}
 
 # add MKL paths (if not compiling with g++, i.e., compiling with icpc)
 ifneq (${CC},g++)
@@ -105,7 +111,7 @@
 endif
 
 # build link line (minus flags)
-LLIBS = -lboost_program_options -lboost_iostreams -lz -lnlopt
+LLIBS = -lboost_program_options -lboost_iostreams -lzstd -lz -lnlopt
 ifeq (${linking},static-except-glibc)
 	L = -L${LIBSTDCXX_STATIC_DIR} ${LPATHS} -Wl,--wrap=memcpy -Wl,-Bstatic ${LLIBS} ${LLAPACK} -Wl,-Bdynamic ${LIOMP5} -lpthread -lm ${LDL}
 else ifeq (${linking},static-except-glibc-intel)
