=== debian/changelog ===
bolt-lmm (2.4.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Fix clean target
    Closes: #1043783, #1049735
  Remove patch simde.patch that is missing from debian/patches/series.

 -- Andreas Tille <tille@debian.org>  Sat, 27 Jan 2024 21:05:33 +0100

bolt-lmm (2.4.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Build-Depends: libzstd-dev

 -- Andreas Tille <tille@debian.org>  Tue, 11 Jul 2023 12:10:41 +0200

bolt-lmm (2.4.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Packaging update
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 03 Jul 2023 15:09:25 +0200
