=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,7 @@
 %:
 	dh $@ --sourcedirectory=src
 
-override_dh_auto_build:
-	dh_auto_build
+override_dh_auto_build-indep:
 	cd $(CURDIR)/example/ && \
 		tar Jcvf examples.tar.xz * --sort=name --mode=go=rX,u+rw,a-s --owner=root --group=root --numeric-owner
