=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,pagemangle=s%<Key>([^<]*)</Key>%<Key><a href="$1">$1</a></Key>%g,repack,compression=xz" \
  https://storage.googleapis.com/broad-alkesgroup-public?prefix=BOLT-LMM/downloads/ (?:.*)BOLT-LMM_v@ANY_VERSION@@ARCHIVE_EXT@
